Bug 584966 - Review Request: R-bitops - Functions for Bitwise operations
Review Request: R-bitops - Functions for Bitwise operations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 585817
  Show dependency treegraph
 
Reported: 2010-04-22 15:43 EDT by josef radinger
Modified: 2010-07-13 03:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: R-bitops-1.0.4.1-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description josef radinger 2010-04-22 15:43:19 EDT
Spec URL: http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-bitops.spec
SRPM URL: http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-bitops-1.0.4.1-1.fc12.src.rpm
Description: Functions for Bitwise operations on integer vectors.
Comment 1 Pierre-YvesChibon 2010-05-01 05:30:17 EDT
* source files match upstream:
   md5sum bitops_1.0-4.1.tar.gz 
81107518a0cafce266e82fc8571732da  bitops_1.0-4.1.tar.gz
   md5sum rpmbuild/SOURCES/bitops_1.0-4.1.tar.gz 
81107518a0cafce266e82fc8571732da  rpmbuild/SOURCES/bitops_1.0-4.1.tar.gz

* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in koji (http://koji.fedoraproject.org/koji/taskinfo?taskID=2142562).
* package installs properly
* rpmlint is silent.
  3 packages and 0 specfiles checked; 0 errors, 0 warnings.
* final provides and requires are sane
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Please update the changelog in a new release before importing the package in the cvs.

** APPROVED **
Comment 2 josef radinger 2010-05-01 12:09:13 EDT
New Package CVS Request
=======================
Package Name: R-bitops
Short Description: Functions for Bitwise operations
Owners: cheese
Branches: F-12 F-13
InitialCC: cheese
Comment 3 josef radinger 2010-05-03 04:46:33 EDT
(In reply to comment #1)

> 
> Please update the changelog in a new release before importing the package in
> the cvs.

you mean i should update the version before i import into cvs?
for all my review requests or just for this one?
Comment 4 Pierre-YvesChibon 2010-05-03 06:33:57 EDT
Please ignore this remark, this was related to the format of the changelog but you pointed out the right documentation and can therefore be ignored.
Comment 5 Kevin Fenzi 2010-05-03 22:54:16 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Pierre-YvesChibon 2010-05-06 14:10:07 EDT
here as well (BR tex(latex) is missing).

Sorry for seeing this so late.
Comment 7 josef radinger 2010-05-07 11:23:29 EDT
no prob. should have seen this, too.
Comment 8 Fedora Update System 2010-05-08 04:34:17 EDT
R-bitops-1.0.4.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-3.fc13
Comment 9 Fedora Update System 2010-05-08 04:34:18 EDT
R-bitops-1.0.4.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-3.fc12
Comment 10 Fedora Update System 2010-05-08 07:40:06 EDT
R-bitops-1.0.4.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-4.fc13
Comment 11 Fedora Update System 2010-05-08 07:45:46 EDT
R-bitops-1.0.4.1-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-4.fc12
Comment 12 Fedora Update System 2010-05-08 12:10:44 EDT
R-bitops-1.0.4.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-bitops'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-3.fc13
Comment 13 Fedora Update System 2010-05-08 12:10:53 EDT
R-bitops-1.0.4.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-bitops'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-4.fc13
Comment 14 Fedora Update System 2010-05-10 12:59:24 EDT
R-bitops-1.0.4.1-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-bitops'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-4.fc12
Comment 15 Fedora Update System 2010-05-10 13:00:36 EDT
R-bitops-1.0.4.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-bitops'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/R-bitops-1.0.4.1-3.fc12
Comment 16 Pierre-YvesChibon 2010-06-28 03:19:28 EDT
Could we see this push to stable ?
Comment 17 Fedora Update System 2010-07-06 13:31:45 EDT
R-bitops-1.0.4.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-07-13 03:23:17 EDT
R-bitops-1.0.4.1-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.